Package com.independentsoft.graph.calendars

# Class Reminder

java.lang.Object
com.independentsoft.graph.calendars.Reminder

public class Reminder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Reminder()`
  `Reminder​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChangeKey()`
  `DateTimeTimeZone`
  `getEventEndTime()`
  `String`
  `getEventId()`
  `Location`
  `getEventLocation()`
  `DateTimeTimeZone`
  `getEventStartTime()`
  `String`
  `getEventSubject()`
  `String`
  `getEventWebLink()`
  `DateTimeTimeZone`
  `getFireTime()`
  `void`
  `setEventEndTime​(DateTimeTimeZone eventEndTime)`
  `void`
  `setEventLocation​(Location eventLocation)`
  `void`
  `setEventStartTime​(DateTimeTimeZone eventStartTime)`
  `void`
  `setEventSubject​(String eventSubject)`
  `void`
  `setFireTime​(DateTimeTimeZone fireTime)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Reminder

    public Reminder()

  - ### Reminder

    public Reminder​(JsonObject jsonObject)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEventId

    public String getEventId()

  - ### getChangeKey

    public String getChangeKey()

  - ### getEventEndTime

    public DateTimeTimeZone getEventEndTime()

  - ### setEventEndTime

    public void setEventEndTime​(DateTimeTimeZone eventEndTime)

  - ### getEventStartTime

    public DateTimeTimeZone getEventStartTime()

  - ### setEventStartTime

    public void setEventStartTime​(DateTimeTimeZone eventStartTime)

  - ### getEventSubject

    public String getEventSubject()

  - ### setEventSubject

    public void setEventSubject​(String eventSubject)

  - ### getEventLocation

    public Location getEventLocation()

  - ### setEventLocation

    public void setEventLocation​(Location eventLocation)

  - ### getEventWebLink

    public String getEventWebLink()

  - ### getFireTime

    public DateTimeTimeZone getFireTime()

  - ### setFireTime

    public void setFireTime​(DateTimeTimeZone fireTime)